Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class InformationalMessageDeltaValidator.InfoMessageChange

    java.lang.Object
      |
      +--oracle.apps.cz.cio.ValidatorChange
            |
            +--oracle.apps.cz.cio.InformationalMessageDeltaValidator.InfoMessageChange

All Implemented Interfaces:
  IValidatorChange

Enclosing class:
  InformationalMessageDeltaValidator

public class InformationalMessageDeltaValidator.InfoMessageChange
extends ValidatorChange

Field Summary

Fields inherited from class oracle.apps.cz.cio.ValidatorChange
`RCS_ID, RCS_ID_RECORDED`

Fields inherited from interface oracle.apps.cz.cio.IValidatorChange
`DP_CHANGE, DPN_CHANGE, EP_CHANGE, LP_CHANGE, LPN_CHANGE`

Constructor Summary
`InformationalMessageDeltaValidator.InfoMessageChange(oracle.apps.cz.cio.IRuntimeNode node)`

Method Summary
`oracle.apps.cz.cio.InformationalMessage` | `getInformationalMessage(oracle.apps.cz.cio.InformationalMessage newMessage)`
`com.sun.java.util.collections.Collection` | `getInformationalMessages()`
`int` | `getStatus(oracle.apps.cz.cio.InformationalMessage message)`
`int` | `getType()` Returns of the type of this change which corresponds to its DeltaValidator type
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InformationalMessageDeltaValidator.InfoMessageChange

    public InformationalMessageDeltaValidator.InfoMessageChange(oracle.apps.cz.cio.IRuntimeNode node)

Method Detail

### getInformationalMessages

    public com.sun.java.util.collections.Collection getInformationalMessages()

### getInformationalMessage

    public oracle.apps.cz.cio.InformationalMessage getInformationalMessage(oracle.apps.cz.cio.InformationalMessage newMessage)

### getStatus

    public int getStatus(oracle.apps.cz.cio.InformationalMessage message)

### getType

    public int getType()

  Description copied from interface: `IValidatorChange`
  Returns of the type of this change which corresponds to its DeltaValidator type

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.